SST Time Now
SST is the abbreviation of Singapore Standard Time. Time zone offset of SST is UTC+08. Singapore Standard Time is 8 hours ahead from the UTC universal time. SST current date is 2nd Friday October 2026. Current time in SST (SST).
SST Time
00:15:26
2 October 2026 Friday
SST is the short way to refer to Singapore Standard Time. As it becomes apparent from its name, this time standard is used in Singapore, a small country located in Southeast Asia. Singapore Standard Time is 8 hours ahead of the UTC universal time, and it is exactly the same as the time used in China, Western Australia, Malaysia, Hong Kong, and other neighboring countries.
What time is it in Singapore Standard Time now? It is 00:15:26 right now.
Singapore Standard Time Date and Time Now in Various Formats
| Date Time Format | SST Date Time Now |
|---|---|
| UTC | 2026-10-02T00:15:26Z |
| ISO-8601 | 2026-10-02T00:15:26+0000 |
| RFC 2822 | Fri, 02 Oct 2026 00:15:26 +0000 |
| RFC 850 | Friday, 02-Oct-26 00:15:26 UTC |
| RFC 1036 | Fri, 02 Oct 26 00:15:26 +0000 |
| RFC 1123 | Fri, 02 Oct 2026 00:15:26 +0000 |
| RFC 822 | Fri, 02 Oct 26 00:15:26 +0000 |
| RFC 3339 | 2026-10-02T00:15:26+00:00 |
| ATOM | 2026-10-02T00:15:26+00:00 |
| COOKIE | Friday, 02-Oct-2026 00:15:26 UTC |
| RSS | Fri, 02 Oct 2026 00:15:26 +0000 |
| W3C | 2026-10-02T00:15:26+00:00 |
| Unix Epoch | 1790900126 |
| YYYY-DD-MM HH:MM:SS | 2026-02-10 00:15:26 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-02-10 12:15:26 AM |
| DD-MM-YYYY HH:MM:SS | 02-10-2026 00:15:26 |
| MM-DD-YYYY HH:MM:SS | 10-02-2026 00:15:26 |